# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util.parser
Interface Callback<T>

Type Parameters:
  `T` -

    public interface Callback<T>

`Callback` interface for the `Action` class. `Callback.handle` is invoked when the `Action` parser the `Callback` is associated with fires.

See Also:
  `Action`

Method Summary
`void` `handle(char[] buf, int start, int end, T udata)` Called when an `Action` fires.

Method Detail

### handle

    void handle(char[] buf,
                int start,
                int end,
                T udata)

  Called when an `Action` fires.

  Parameters:
    `buf` - The buffer being parsed
    `start` - The start offset of the match.
    `end` - The end offset of the match. If `start == end`, an empty match occurred.
    `udata` - The user specified object that was passed to `Parser.parse`.